Page MenuHomePhabricator

Mobile menu improvements (alpha)
Closed, ResolvedPublic2 Story Points

Description

We should improve the Special:MobileMenu interface in alpha.

  1. New back icon
  2. Remove R from wordmark (This is on hold until we get approval from Legal, which is pending) T95007
  3. Include search icon before Search Wikipedia placeholder

@kaldari: "I pinged Yana about the ® in the wordmark. Trying to get it removed completely (both in the header and footer)."
@kaldari: "Still waiting to hear back from Yana about the ® next to the wordmark."

Event Timeline

KLans_WMF raised the priority of this task from to Needs Triage.
KLans_WMF updated the task description. (Show Details)
KLans_WMF added a subscriber: KLans_WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 30 2015, 6:47 PM
KLans_WMF set Security to None.Mar 30 2015, 6:47 PM
KLans_WMF edited a custom field.
bmansurov updated the task description. (Show Details)Apr 1 2015, 9:10 PM
bmansurov added a subscriber: kaldari.

@KHammerstein: I can't find the asset for the light search icon. You got a copy lying around?

Change 201484 had a related patch set uploaded (by Phuedx):
[WIP] [Alpha] Minor Special:MobileMenu improvements

https://gerrit.wikimedia.org/r/201484

phuedx added a comment.Apr 2 2015, 4:31 PM

@kaldari: I suggest we break out the "® in the wordmark" part of this task out. Whaddya reckon?

KHammerstein updated the task description. (Show Details)EditedApr 3 2015, 8:33 PM

@phuedx I uploaded it!

@phuedx, you should have the search icon in master now that https://gerrit.wikimedia.org/r/#/c/201399/ is merged.

Would be great if you could move this to js in the process/ or on the back of this and remove all the markup from the page. Would shrink all page view HTML size as well as be much snappier than the current setup.

phuedx added a comment.Apr 7 2015, 6:29 AM

@bmansurov: Ta. That change introduced a white magnifying glass icon, this needed that icon in gray. Maybe we should finally commit to icon fonts!? /cc @Jdlrobson

phuedx added a comment.Apr 7 2015, 6:33 AM

Would be great if you could move this to js in the process/ or on the back of this and remove all the markup from the page. Would shrink all page view HTML size as well as be much snappier than the current setup.

@Jdlrobson: New task :) We could write it together if you like?

Change 201484 merged by jenkins-bot:
Alpha: Minor Special:MobileMenu improvements

https://gerrit.wikimedia.org/r/201484

JKatzWMF closed this task as Resolved.Apr 13 2015, 7:17 PM